pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b__awsres.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b__awsres.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body ada_main is
   pragma Warnings (Off);

   E135 : Short_Integer; pragma Import (Ada, E135, "system__os_lib_E");
   E013 : Short_Integer; pragma Import (Ada, E013, "system__soft_links_E");
   E204 : Short_Integer; pragma Import (Ada, E204, "system__fat_lflt_E");
   E202 : Short_Integer; pragma Import (Ada, E202, "system__fat_llf_E");
   E023 : Short_Integer; pragma Import (Ada, E023, "system__exception_table_E");
   E166 : Short_Integer; pragma Import (Ada, E166, "ada__containers_E");
   E116 : Short_Integer; pragma Import (Ada, E116, "ada__io_exceptions_E");
   E197 : Short_Integer; pragma Import (Ada, E197, "ada__numerics_E");
   E052 : Short_Integer; pragma Import (Ada, E052, "ada__strings_E");
   E054 : Short_Integer; pragma Import (Ada, E054, "ada__strings__maps_E");
   E058 : Short_Integer; pragma Import (Ada, E058, "ada__strings__maps__constants_E");
   E091 : Short_Integer; pragma Import (Ada, E091, "ada__tags_E");
   E115 : Short_Integer; pragma Import (Ada, E115, "ada__streams_E");
   E045 : Short_Integer; pragma Import (Ada, E045, "interfaces__c_E");
   E268 : Short_Integer; pragma Import (Ada, E268, "interfaces__c__strings_E");
   E025 : Short_Integer; pragma Import (Ada, E025, "system__exceptions_E");
   E138 : Short_Integer; pragma Import (Ada, E138, "system__file_control_block_E");
   E187 : Short_Integer; pragma Import (Ada, E187, "ada__streams__stream_io_E");
   E131 : Short_Integer; pragma Import (Ada, E131, "system__file_io_E");
   E118 : Short_Integer; pragma Import (Ada, E118, "system__finalization_root_E");
   E113 : Short_Integer; pragma Import (Ada, E113, "ada__finalization_E");
   E299 : Short_Integer; pragma Import (Ada, E299, "system__regpat_E");
   E120 : Short_Integer; pragma Import (Ada, E120, "system__storage_pools_E");
   E107 : Short_Integer; pragma Import (Ada, E107, "system__finalization_masters_E");
   E103 : Short_Integer; pragma Import (Ada, E103, "system__storage_pools__subpools_E");
   E221 : Short_Integer; pragma Import (Ada, E221, "system__task_info_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "ada__calendar_E");
   E066 : Short_Integer; pragma Import (Ada, E066, "ada__calendar__time_zones_E");
   E292 : Short_Integer; pragma Import (Ada, E292, "gnat__calendar_E");
   E294 : Short_Integer; pragma Import (Ada, E294, "gnat__calendar__time_io_E");
   E320 : Short_Integer; pragma Import (Ada, E320, "gnat__directory_operations_E");
   E326 : Short_Integer; pragma Import (Ada, E326, "gnat__secure_hashes_E");
   E328 : Short_Integer; pragma Import (Ada, E328, "gnat__secure_hashes__sha1_E");
   E181 : Short_Integer; pragma Import (Ada, E181, "system__assertions_E");
   E175 : Short_Integer; pragma Import (Ada, E175, "system__pool_global_E");
   E280 : Short_Integer; pragma Import (Ada, E280, "system__random_seed_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__secondary_stack_E");
   E089 : Short_Integer; pragma Import (Ada, E089, "ada__strings__unbounded_E");
   E062 : Short_Integer; pragma Import (Ada, E062, "ada__directories_E");
   E324 : Short_Integer; pragma Import (Ada, E324, "gnat__sha1_E");
   E140 : Short_Integer; pragma Import (Ada, E140, "system__regexp_E");
   E318 : Short_Integer; pragma Import (Ada, E318, "gnat__command_line_E");
   E185 : Short_Integer; pragma Import (Ada, E185, "system__strings__stream_ops_E");
   E237 : Short_Integer; pragma Import (Ada, E237, "system__tasking__initialization_E");
   E144 : Short_Integer; pragma Import (Ada, E144, "ada__text_io_E");
   E247 : Short_Integer; pragma Import (Ada, E247, "system__tasking__protected_objects_E");
   E251 : Short_Integer; pragma Import (Ada, E251, "system__tasking__protected_objects__entries_E");
   E245 : Short_Integer; pragma Import (Ada, E245, "system__tasking__queuing_E");
   E312 : Short_Integer; pragma Import (Ada, E312, "memory_streams_E");
   E310 : Short_Integer; pragma Import (Ada, E310, "templates_parser_tasking_E");
   E288 : Short_Integer; pragma Import (Ada, E288, "templates_parser_E");
   E304 : Short_Integer; pragma Import (Ada, E304, "templates_parser__input_E");
   E306 : Short_Integer; pragma Import (Ada, E306, "templates_parser__utils_E");
   E196 : Short_Integer; pragma Import (Ada, E196, "aws__utils_E");
   E163 : Short_Integer; pragma Import (Ada, E163, "aws__resources_E");
   E314 : Short_Integer; pragma Import (Ada, E314, "aws__resources__files_E");
   E173 : Short_Integer; pragma Import (Ada, E173, "aws__resources__streams_E");
   E316 : Short_Integer; pragma Import (Ada, E316, "aws__resources__streams__disk_E");
   E191 : Short_Integer; pragma Import (Ada, E191, "aws__resources__streams__memory_E");
   E165 : Short_Integer; pragma Import (Ada, E165, "aws__resources__embedded_E");
   E179 : Short_Integer; pragma Import (Ada, E179, "aws__resources__streams__zlib_E");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "aws__resources__embedded__finalize_body");
      begin
         E165 := E165 - 1;
         if E165 = 0 then
            F1;
         end if;
      end;
      E179 := E179 - 1;
      declare
         procedure F2;
         pragma Import (Ada, F2, "aws__resources__streams__zlib__finalize_spec");
      begin
         if E179 = 0 then
            F2;
         end if;
      end;
      E191 := E191 - 1;
      declare
         procedure F3;
         pragma Import (Ada, F3, "aws__resources__streams__memory__finalize_spec");
      begin
         if E191 = 0 then
            F3;
         end if;
      end;
      E316 := E316 - 1;
      declare
         procedure F4;
         pragma Import (Ada, F4, "aws__resources__streams__disk__finalize_spec");
      begin
         if E316 = 0 then
            F4;
         end if;
      end;
      E173 := E173 - 1;
      declare
         procedure F5;
         pragma Import (Ada, F5, "aws__resources__streams__finalize_spec");
      begin
         if E173 = 0 then
            F5;
         end if;
      end;
      E196 := E196 - 1;
      declare
         procedure F6;
         pragma Import (Ada, F6, "aws__utils__finalize_spec");
      begin
         if E196 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "templates_parser__finalize_body");
      begin
         E288 := E288 - 1;
         if E288 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "templates_parser__finalize_spec");
      begin
         if E288 = 0 then
            F8;
         end if;
      end;
      declare
         procedure F9;
         pragma Import (Ada, F9, "templates_parser_tasking__finalize_body");
      begin
         E310 := E310 - 1;
         if E310 = 0 then
            F9;
         end if;
      end;
      E251 := E251 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E251 = 0 then
            F10;
         end if;
      end;
      E144 := E144 - 1;
      declare
         procedure F11;
         pragma Import (Ada, F11, "ada__text_io__finalize_spec");
      begin
         if E144 = 0 then
            F11;
         end if;
      end;
      E062 := E062 - 1;
      E140 := E140 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "system__regexp__finalize_spec");
      begin
         if E140 = 0 then
            F12;
         end if;
      end;
      declare
         procedure F13;
         pragma Import (Ada, F13, "ada__directories__finalize_spec");
      begin
         if E062 = 0 then
            F13;
         end if;
      end;
      E089 := E089 - 1;
      declare
         procedure F14;
         pragma Import (Ada, F14, "ada__strings__unbounded__finalize_spec");
      begin
         if E089 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "system__file_io__finalize_body");
      begin
         E131 := E131 - 1;
         if E131 = 0 then
            F15;
         end if;
      end;
      E107 := E107 - 1;
      E103 := E103 - 1;
      E175 := E175 - 1;
      declare
         procedure F16;
         pragma Import (Ada, F16, "system__pool_global__finalize_spec");
      begin
         if E175 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "system__storage_pools__subpools__finalize_spec");
      begin
         if E103 = 0 then
            F17;
         end if;
      end;
      declare
         procedure F18;
         pragma Import (Ada, F18, "system__finalization_masters__finalize_spec");
      begin
         if E107 = 0 then
            F18;
         end if;
      end;
      E187 := E187 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "ada__streams__stream_io__finalize_spec");
      begin
         if E187 = 0 then
            F19;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (C, s_stalib_adafinal, "system__standard_library__adafinal");

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           True, False, False, False, False, False, False, False, 
           False, False, False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, False, False, True, True, False, False, True, 
           False, False, True, True, True, True, False, False, 
           True, False, False, True, True, False, True, True, 
           False, True, True, True, True, True, True, True, 
           False, True, False, False, True, False, True, False, 
           True, True, False, False, True, True, False, False, 
           True, True, False, True, False, False, False, False, 
           False, False, True, True, True, False, False, True, 
           False, False, True, False, True, True, False, True, 
           True, True, False, True, False, False, False, True, 
           False, False, False, False, True, False),
         Count => (0, 0, 0, 2, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      Runtime_Initialize (1);

      Finalize_Library_Objects := finalize_library'access;

      if E013 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E204 = 0 then
         System.Fat_Lflt'Elab_Spec;
      end if;
      E204 := E204 + 1;
      if E202 = 0 then
         System.Fat_Llf'Elab_Spec;
      end if;
      E202 := E202 + 1;
      if E023 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E023 := E023 + 1;
      if E166 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E166 := E166 + 1;
      if E116 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E116 := E116 + 1;
      if E197 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E197 := E197 + 1;
      if E052 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E052 := E052 + 1;
      if E054 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      if E058 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E058 := E058 + 1;
      if E091 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E115 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E115 := E115 + 1;
      if E045 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      if E268 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      if E025 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E025 := E025 + 1;
      if E138 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E138 := E138 + 1;
      if E187 = 0 then
         Ada.Streams.Stream_Io'Elab_Spec;
      end if;
      E187 := E187 + 1;
      if E118 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E118 := E118 + 1;
      if E113 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E113 := E113 + 1;
      if E299 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      if E120 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E120 := E120 + 1;
      if E107 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E103 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      if E221 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E221 := E221 + 1;
      if E006 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E006 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E006 := E006 + 1;
      if E066 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E066 := E066 + 1;
      if E292 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E292 := E292 + 1;
      if E294 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      if E320 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      E326 := E326 + 1;
      if E328 = 0 then
         Gnat.Secure_Hashes.Sha1'Elab_Spec;
      end if;
      E328 := E328 + 1;
      if E181 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E181 := E181 + 1;
      if E175 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E175 := E175 + 1;
      if E280 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E280 := E280 + 1;
      E103 := E103 + 1;
      if E107 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E107 := E107 + 1;
      E299 := E299 + 1;
      if E131 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E131 := E131 + 1;
      E268 := E268 + 1;
      E045 := E045 + 1;
      if E091 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E091 := E091 + 1;
      E054 := E054 + 1;
      if E013 = 0 then
         System.Soft_Links'Elab_Body;
      end if;
      E013 := E013 + 1;
      if E135 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E135 := E135 + 1;
      if E017 = 0 then
         System.Secondary_Stack'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E320 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E320 := E320 + 1;
      if E089 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E089 := E089 + 1;
      if E062 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E324 = 0 then
         Gnat.Sha1'Elab_Spec;
      end if;
      E324 := E324 + 1;
      if E140 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E140 := E140 + 1;
      if E062 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E062 := E062 + 1;
      if E318 = 0 then
         Gnat.Command_Line'Elab_Spec;
      end if;
      if E185 = 0 then
         System.Strings.Stream_Ops'Elab_Body;
      end if;
      E185 := E185 + 1;
      if E237 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E237 := E237 + 1;
      if E144 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E144 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E144 := E144 + 1;
      if E318 = 0 then
         Gnat.Command_Line'Elab_Body;
      end if;
      E318 := E318 + 1;
      E294 := E294 + 1;
      if E247 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E247 := E247 + 1;
      if E251 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E251 := E251 + 1;
      if E245 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E245 := E245 + 1;
      E312 := E312 + 1;
      if E310 = 0 then
         Templates_Parser_Tasking'Elab_Body;
      end if;
      E310 := E310 + 1;
      if E288 = 0 then
         Templates_Parser'Elab_Spec;
      end if;
      if E304 = 0 then
         Templates_Parser.Input'Elab_Spec;
      end if;
      E304 := E304 + 1;
      if E306 = 0 then
         Templates_Parser.Utils'Elab_Spec;
      end if;
      E306 := E306 + 1;
      if E288 = 0 then
         Templates_Parser'Elab_Body;
      end if;
      E288 := E288 + 1;
      if E196 = 0 then
         AWS.UTILS'ELAB_SPEC;
      end if;
      if E196 = 0 then
         AWS.UTILS'ELAB_BODY;
      end if;
      E196 := E196 + 1;
      if E163 = 0 then
         AWS.RESOURCES'ELAB_SPEC;
      end if;
      if E173 = 0 then
         AWS.RESOURCES.STREAMS'ELAB_SPEC;
      end if;
      E173 := E173 + 1;
      if E316 = 0 then
         AWS.RESOURCES.STREAMS.DISK'ELAB_SPEC;
      end if;
      E316 := E316 + 1;
      if E191 = 0 then
         AWS.RESOURCES.STREAMS.MEMORY'ELAB_SPEC;
      end if;
      E191 := E191 + 1;
      E163 := E163 + 1;
      if E179 = 0 then
         AWS.RESOURCES.STREAMS.ZLIB'ELAB_SPEC;
      end if;
      E179 := E179 + 1;
      if E165 = 0 then
         AWS.RESOURCES.EMBEDDED'ELAB_BODY;
      end if;
      E165 := E165 + 1;
      E314 := E314 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_awsres");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/obj/tools/awsres.o
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/obj/tools/
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/obj/tools/
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/obj/
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/lib/include/
   --   -L/usr/lib64/zlib-ada/
   --   -L/usr/share/gpr/
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/lib/src/
   --   -L/usr/lib64/xmlada/relocatable/
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/.build/x86_64-redhat-linux/debug/relocatable/lib/ssl/
   --   -L/builddir/build/BUILD/aws-gpl-3.1.0-src/ssl/
   --   -L/usr/lib64/templates_parser/
   --   -L/usr/lib/gcc/x86_64-redhat-linux/5.1.1/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lpthread
   --   -lrt
--  END Object file/option list   

end ada_main;
